Package org.eclipse.lemminx.extensions.contentmodel.participants.codeactions

## Class cvc_elt_1_aCodeAction

- java.lang.Object
- - org.eclipse.lemminx.extensions.contentmodel.participants.codeactions.cvc_elt_1_aCodeAction

All Implemented Interfaces:
  `ICodeActionParticipant`

    public class cvc_elt_1_aCodeAction
    extends Object
    implements ICodeActionParticipant

Code action to find the expected element name defined in the given xsd and replace it Given this XML where 'root' is defined as the root element in the XSD <test></test> -> Error: Cannot find declaration of 'test' To fix the error, the code action will suggest replacing 'test' with 'root' in both the opening and closing tag

### Constructor Summary

Constructors
`cvc_elt_1_aCodeAction()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `doCodeAction​(ICodeActionRequest request, List<org.eclipse.lsp4j.CodeAction> codeActions, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collect the code action in the given `codeActions` for the given code action request `request`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.lemminx.services.extensions.codeaction.ICodeActionParticipant

`doCodeActionUnconditional, getResolveCodeActionParticipant`

### Constructor Detail

#### cvc_elt_1_aCodeAction

    public cvc_elt_1_aCodeAction()

### Method Detail

#### doCodeAction

    public void doCodeAction​(ICodeActionRequest request,
                             List<org.eclipse.lsp4j.CodeAction> codeActions,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)

Description copied from interface: `ICodeActionParticipant`
Collect the code action in the given `codeActions` for the given code action request `request`.

Specified by:
  `doCodeAction` in interface `ICodeActionParticipant`
Parameters:
  `request` - the code action request.
  `codeActions` - list of code actions to fill.
  `cancelChecker` - the cancel checker.